Skip to main content
POST
/
personal
/
v1
/
leads
Create Lead Application
curl --request POST \
  --url https://develop.qa.credible.com/api/partners/personal/v1/leads \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "partnerLeadId": "partner-lead-id",
  "requestedLoanAmount": 10000,
  "loanPurpose": "debt_consolidation",
  "borrower": {
    "email": "[email protected]",
    "firstName": "Great",
    "lastName": "Credibletest",
    "dob": "19881014",
    "phone": "7777777777",
    "ssn": "1451"
  },
  "address": {
    "city": "Bloomsburg",
    "state": "PA",
    "street": "378 East Street",
    "zipcode": "17815",
    "unit": 2
  },
  "employment": {
    "status": "employed_full_time",
    "incomeYearly": 90000
  },
  "housing": {
    "type": "rent",
    "monthlyPayment": 1200
  }
}
'

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json

Create Personal Loans Lead Application

partnerLeadId
string
required
Example:

"partner-lead-id"

requestedLoanAmount
integer<int32>
required
Required range: 600 <= x <= 100000
Example:

10000

loanPurpose
enum<string>
required
Available options:
credit_card_refinancing,
debt_consolidation,
home_improvement,
major_purchase,
home_buying,
car_financing,
green_loan,
business,
vacation,
moving_relocation,
medical_expenses,
wedding,
motorcycle,
rv,
boat,
taxes,
baby_or_adoption,
engagement_ring_financing,
cosmetic_procedures,
special_occasion,
other
Example:

"debt_consolidation"

borrower
object
required
address
object
required
employment
object
required
housing
object
required
education
object
tracking
object

Response

201

Create Personal Loans Lead Application